Bug 571032 - apr_strtoi64 (strings/apr_strings.c) does not reset errno
apr_strtoi64 (strings/apr_strings.c) does not reset errno
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: apr (Show other bugs)
5.4
All Linux
urgent Severity high
: rc
: ---
Assigned To: Web Stack Team
BaseOS QE Security Team
: ZStream
Depends On:
Blocks: 647121
  Show dependency treegraph
 
Reported: 2010-03-06 08:40 EST by Ivan Szanto
Modified: 2016-03-31 12:30 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 07:07:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add this to the conf.d directory of httpd-2.2.13-2.el5s2 (1.03 KB, application/octet-stream)
2010-03-06 08:40 EST, Ivan Szanto
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 47549 None None None Never

  None (edit)
Description Ivan Szanto 2010-03-06 08:40:06 EST
Created attachment 398213 [details]
add this to the conf.d directory of httpd-2.2.13-2.el5s2

Description of problem:

In certain circumstances, httpd does not start, and complains about an invalid configuration file.

Version-Release number of selected component (if applicable):

apr-1.2.7-11.el5_3.1.src.rpm
httpd-2.2.13-2.el5s2

How reproducible:

Always

Steps to Reproduce:
1. install the newest httpd from RH Application Stack (httpd-2.2.13-2.el5s2)
2. use the config file attached
3. try to start httpd
  
Actual results:

httpd does not start. Error msg:

Starting httpd: Syntax error on line 26 of /etc/httpd/conf.d/proxy_ajp.conf:
BalancerMember Ping/Pong timeout has wrong format
                                                           [FAILED]


Expected results:

Since there is no problem in the config file, httpd should start.

Additional info:

While debugging in gdb, if I set errno to 0 before the call to apr_strtoi64 it works fine.

A workaround is included in the attachment: uncommenting the "CacheMaxFileSize 6400000" line sets the errno to 0.

This was fixed in upstream in December 2008, see

http://github.com/apache/apr/commit/9de56842c6656a52373e3838fc15e8f3926eef7b

"Merge r727052 from trunk:

* Similar to apr_strtoff reset errno to zero in apr_strtoi64.
  Cases were observed where apr_strtoi64 returned with a
  previously set errno although the operation worked fine.

Submitted by: rpluem
Reviewed by: rpluem


git-svn-id: https://svn.apache.org/repos/asf/apr/apr/branches/1.3.x@727605 
13f79535-47bb-0310-9956-ffa450edef68

Ruediger Pluem (author)"
Comment 1 Ivan Szanto 2010-03-06 08:46:56 EST
Same complaint filed in the apache bugzilla

https://issues.apache.org/bugzilla/show_bug.cgi?id=47549
Comment 2 Joe Orton 2010-03-06 09:04:54 EST
Thanks for the report.
Comment 4 RHEL Product and Program Management 2010-08-09 15:14:11 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.